package com.e6yun.project.sdk.api.pojo.basevo.saftey;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;

/**
 * @Description DsmEventsVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 11:24
 * @ClassName DsmEventsVO
 * @Remark
 */
public class DsmEventVO {
    private String eventCount;

    private String eventName;

    private Integer lastEventCount;

    private Integer num;

    private Integer orgNum;

    private Double risingRate;

    private String statTime;

    public String getEventCount() {
        return eventCount;
    }

    public void setEventCount(String eventCount) {
        this.eventCount = eventCount;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public Integer getLastEventCount() {
        return lastEventCount;
    }

    public void setLastEventCount(Integer lastEventCount) {
        this.lastEventCount = lastEventCount;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getOrgNum() {
        return orgNum;
    }

    public void setOrgNum(Integer orgNum) {
        this.orgNum = orgNum;
    }

    public Double getRisingRate() {
        return risingRate;
    }

    public void setRisingRate(Double risingRate) {
        this.risingRate = risingRate;
    }

    public String getStatTime() {
        return statTime;
    }

    public void setStatTime(String statTime) {
        this.statTime = statTime;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("eventCount", eventCount)
                .add("eventName", eventName)
                .add("lastEventCount", lastEventCount)
                .add("num", num)
                .add("orgNum", orgNum)
                .add("risingRate", risingRate)
                .add("statTime", statTime)
                .toString();
    }
}
